GraphDatabaseFactory (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.factory

## Class GraphDatabaseFactory

- java.lang.Object
- - org.neo4j.graphdb.factory.GraphDatabaseFactory

-     public class GraphDatabaseFactory
      extends Object

  Creates a `GraphDatabaseService`. Use `newEmbeddedDatabase(String)` or `newEmbeddedDatabaseBuilder(String)` to create a database instance.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphDatabaseFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphDatabaseFactory` | `addKernelExtension(org.neo4j.kernel.extension.KernelExtensionFactory<?> newKernelExtension)` Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.
    `GraphDatabaseFactory` | `addKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)` Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.
    `List<org.neo4j.kernel.impl.cache.CacheProvider>` | `getCacheProviders()` Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.
    `Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>>` | `getKernelExtension()` Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.
    `List<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider>` | `getTransactionInterceptorProviders()` Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.
    `GraphDatabaseService` | `newEmbeddedDatabase(String path)`
    `GraphDatabaseBuilder` | `newEmbeddedDatabaseBuilder(String path)`
    `GraphDatabaseFactory` | `setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)` Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.
    `GraphDatabaseFactory` | `setKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)` Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.
    `GraphDatabaseFactory` | `setTransactionInterceptorProviders(Iterable<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> transactionInterceptorProviders)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphDatabaseFactory

          public GraphDatabaseFactory()

  - ### Method Detail

    - #### newEmbeddedDatabase

          public GraphDatabaseService newEmbeddedDatabase(String path)

    - #### newEmbeddedDatabaseBuilder

          public GraphDatabaseBuilder newEmbeddedDatabaseBuilder(String path)

    - #### getKernelExtension

          @Deprecated
          public Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> getKernelExtension()

      Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.

    - #### addKernelExtensions

          @Deprecated
          public GraphDatabaseFactory addKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)

      Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.

    - #### addKernelExtension

          @Deprecated
          public GraphDatabaseFactory addKernelExtension(org.neo4j.kernel.extension.KernelExtensionFactory<?> newKernelExtension)

      Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.

    - #### setKernelExtensions

          @Deprecated
          public GraphDatabaseFactory setKernelExtensions(Iterable<org.neo4j.kernel.extension.KernelExtensionFactory<?>> newKernelExtensions)

      Deprecated. Manipulating kernel extensions is deprecated and will be moved to internal components.

    - #### getCacheProviders

          @Deprecated
          public List<org.neo4j.kernel.impl.cache.CacheProvider> getCacheProviders()

      Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.

    - #### setCacheProviders

          @Deprecated
          public GraphDatabaseFactory setCacheProviders(Iterable<org.neo4j.kernel.impl.cache.CacheProvider> newCacheProviders)

      Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.

    - #### getTransactionInterceptorProviders

          @Deprecated
          public List<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> getTransactionInterceptorProviders()

      Deprecated. Manipulating cache providers is deprecated and will be moved to internal components.

    - #### setTransactionInterceptorProviders

          public GraphDatabaseFactory setTransactionInterceptorProviders(Iterable<org.neo4j.kernel.impl.transaction.xaframework.TransactionInterceptorProvider> transactionInterceptorProviders)

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.